Package wx :: Package lib :: Module mvctree :: Class MVCTree

[frames | no frames]

## Type MVCTree

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                ScrolledWindow --+
                                 |
                                MVCTree

The main mvc tree class.

Method Summary
| `__init__(self, parent, id, model, layout, transform, painter, *args, **kwargs)`
| `__repr__(self)`
| `__str__(self)`
| `AddEditor(self, editor)`
| `AddToSelection(self, nodeOrTuple, enableMulti, shiftMulti)`
| `Edit(self, node)`
| `EndEdit(self)`
| `GetAssumeChildren(self)`
| `GetBackgroundColour(self)`
| `GetCurrentRoot(self)`
| `GetDisplayText(self, node)`
| `GetFont(self)`
| `GetForegroundColour(self)`
| `GetLayoutEngine(self)`
| `GetModel(self)`
| `GetPainter(self)`
| ``GetSelection`(self)` Returns a tuple of selected nodes.
| `GetTransform(self)`
| `IsDoubleBuffered(self)`
| `IsExpanded(self, node)`
| `IsMultiSelect(self)`
| `IsSelected(self, node)`
| `LoadChildren(self, layoutNode)`
| `NodeAdded(self, parent, child)`
| `NodeInserted(self, parent, child, index)`
| `NodeRemoved(self, node)`
| `OnEraseBackground(self, evt)`
| `OnKeyDown(self, evt)`
| `OnKnobClick(self, node)`
| `OnMouse(self, evt)`
| `OnNodeClick(self, node, mouseEvent)`
| ``OnPaint`(self, evt)` Ensures that the tree has been laid out and transformed, then calls the painter to paint the control.
| `OnSize(self, evt)`
| `Refresh(self)`
| `RemoveEditor(self, editor)`
| `RemoveFromSelection(self, nodeTuple)`
| `SetAssumeChildren(self, bool)`
| `SetBackgroundColour(self, color)`
| ``SetDoubleBuffered`(self, bool)` By default MVCTree is double-buffered.
| `SetExpanded(self, node, bool)`
| `SetFont(self, font)`
| `SetForegroundColour(self, color)`
| ``SetModel`(self, model)` Completely change the data to be displayed.
| `SetMultiSelect(self, bool)`
| `SetSelection(self, nodeTuple)`

Property Summary

Instance Method Details

### GetSelection(self)

Returns a tuple of selected nodes.

### OnPaint(self, evt)

Ensures that the tree has been laid out and transformed, then calls the painter to paint the control.

### SetDoubleBuffered(self, bool)

By default MVCTree is double-buffered.

  Overrides:
    `wx.Window.SetDoubleBuffered`

### SetModel(self, model)

Completely change the data to be displayed.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:14 2007 | http://epydoc.sf.net